%global srcname tgt

Summary:        The SCSI target daemon and utility programs
Name:           scsi-target-utils
Version:        1.0.88
Release:        1%{?dist}
License:        GPLv2
URL:            http://stgt.sourceforge.net/
Source0:        https://github.com/fujita/tgt/archive/refs/tags/v%{version}.tar.gz
Source1:        tgtd.service
Source2:        sysconfig.tgtd
Source3:        targets.conf
Source4:        sample.conf
Source5:        tgtd.conf

Patch3000:      0002-remove-check-for-xsltproc.patch
Patch3001:      0003-default-config.patch
Patch3002:      tgt-1.0.79-Adapt-to-glusterfs-api-7.6.3.patch

BuildRequires: perl-generators pkgconfig systemd-devel systemd-units libibverbs-devel
BuildRequires: make docbook-style-xsl gcc libaio-devel libxslt
BuildRequires: librdmacm-devel

Requires: libibverbs librdmacm lsof sg3_utils
Requires(post): systemd-units

%description
The SCSI target package contains the daemon and tools to setup a SCSI targets.
Currently, software iSCSI targets are supported.

%package        gluster
Summary:        Support for the Gluster backstore to scsi-target-utils
BuildRequires:  glusterfs-api-devel
Requires:       %{name} = %{version}-%{release}

%description    gluster
Adds support for the Gluster glfs backstore to scsi-target-utils.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
sed -i -e 's|-g -O2 -fno-strict-aliasing|%{optflags} -fcommon|' -e 's| -Werror | |' usr/Makefile
make %{?_smp_mflags} ISCSI_RDMA=1 GLFS_BD=1 SD_NOTIFY=1 libdir=%{_libdir}/tgt

%install
install -D -p -m 0755 scripts/tgt-setup-lun %{buildroot}%{_sbindir}/tgt-setup-lun
install -D -p -m 0755 %{SOURCE1} %{buildroot}%{_unitdir}/tgtd.service
install -p -m 0755 scripts/tgt-admin %{buildroot}/%{_sbindir}/tgt-admin
install -D -p -m 0644 doc/manpages/targets.conf.5 %{buildroot}/%{_mandir}/man5/targets.conf.5
install -D -p -m 0644 doc/manpages/tgtadm.8 %{buildroot}/%{_mandir}/man8/tgtadm.8
install -p -m 0644 doc/manpages/tgt-admin.8 %{buildroot}/%{_mandir}/man8
install -p -m 0644 doc/manpages/tgt-setup-lun.8 %{buildroot}/%{_mandir}/man8
install -D -p -m 0600 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/tgtd
install -D -p -m 0600 %{SOURCE3} %{buildroot}%{_sysconfdir}/tgt/targets.conf
install -D -p -m 0600 %{SOURCE4} %{buildroot}%{_sysconfdir}/tgt/conf.d/sample.conf
install -p -m 0600 %{SOURCE5} %{buildroot}%{_sysconfdir}/tgt/tgtd.conf

pushd usr
make install ISCSI_RDMA=1 GLFS_BD=1 SD_NOTIFY=1 DESTDIR=%{buildroot} sbindir=%{_sbindir} libdir=%{_libdir}/tgt

%post
%systemd_post tgtd.service

%preun
%systemd_preun tgtd.service

%postun
%systemd_postun tgtd.service

%files
%doc doc/README.iscsi doc/README.iser doc/README.lu_configuration doc/README.mmc doc/README.ssc
%{_sbindir}/tgtd
%{_sbindir}/tgtadm
%{_sbindir}/tgt-setup-lun
%{_sbindir}/tgt-admin
%{_sbindir}/tgtimg
%{_unitdir}/tgtd.service
%{_sysconfdir}/tgt
%{_sysconfdir}/tgt/conf.d
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/tgtd
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/tgt/targets.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/tgt/tgtd.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/tgt/conf.d/sample.conf
%{_mandir}/man5/*
%{_mandir}/man8/*

%files gluster
%{_libdir}/tgt/backing-store/bs_glfs.so
%doc doc/README.glfs

%changelog
* Sat Oct 07 2023 Upgrade Robot <upbot@opencloudos.org> - 1.0.88-1
- Upgrade to version 1.0.88

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.86-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.86-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 cunshunxia <cunshunxia@tencent.com> - 1.0.86-1
- initial build
